#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* hier startet jedes C/C++ - programm: */
int main()/*~\label{dec:to:b:adisch:main} ~*/
{
	/* Vorbereiten der Argumente: */
	const unsigned int n = 4;
	unsigned int x = 1364;
	unsigned int b = 8;

	unsigned int y[n];
	unsigned int copy_of_x = x;

	unsigned int i = 0;
	for( i = 0; i<n; i++ ) y[i] = 0;
	
	/* Start des Algorithmus: */
	i = 0;
	while( x > 0 ) {
		assert( i < n );	/* Sicherheitsabfrage *//*~\label{dec:to:b:adisch:assert}~*/
		y[i]	= x % b;
		x		= x / b;
		i++;
	}

	/* Ausgabe des Resultats: */
	printf( 
		"Umwandlung von x=(%d)_10 ins %d-adische System der Breite n=%d:\n"
		"y=(",
		copy_of_x,b,n );
	/* gebe (y_{n-1} y_{n-2} ... y_1 y_0) aus. */
	for( i = 0; i<n; i++ ) printf( "%d, ", y[n-1-i] );
	printf( ")_%d\n", b );
	return 0; /* beenden des programms */
}
